
.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_CMDPATH

External Command:  Drive and Path Parameters

Specifies the drive and location for the command
you want to process. External commands are stored
on the disk as program files.  When an external
command is entered, the system searches for it in
the current directory of the default or specified
drive. If the command is not found, the system
continues searching for it in the directories listed in
the PATH statement.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_FILEDRIVE

*HTEXT* command: parameter #drive#

Specifies the drive for a file. If you do not specify a
drive, the file is being searched in the current
drive.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_FILEPATH

*HTEXT* command: parameter #path#

Specifies the path for a file. If you do not specify a
path, the file is being searched in the current
directory (of a specified drive).

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_INPUTFILE

*HTEXT* command: parameter #source__file#

Specifies the [=TITLE] compatible source file.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_IPFFILE

*HTEXT* command: parameter #ipf__file#

Optionally specifies the name of the intermediate IPF source
file.

If none is specified, [=TITLE] will create an IPF file
with the same name, but extension *.ipf* in the same directory of the
source file.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_INFORHLPFILE

*HTEXT* command: parameter #inf__file# or #hlp__file#

Optionally specifies the name of the resulting INF or HLP file.

If none is specified, [=TITLE] will create an INF or HLP file,
with the same name, but extension *.inf* or *.hlp* in the same directory
of the source file. By default, an INF file is created, disregarding the
extension of a specified filename. Specify the switch parameter */HLP*
to create a help file instead.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_RCHFILE

*HTEXT* command: parameter #rch__file#

Optionally specifies the name of the resulting
resource header file, so that panels of INF or HLP files can be
linked to externally.

You have to specify also the switch parameter [.FN_PARM_RCH /RCH].

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_HELP
.
*HTEXT* command: parameter /?

Displays a brief syntax help.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_VERBOSE
.
*HTEXT* command: parameter /Verbose

Displays some information about the compilation
process and the output of the IPF compiler output.

When */Verbose* is not specified, the IPF compiler output is
only displayed, when the IPF compiler reports an error

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_NOVIEW

*HTEXT* command: parameter /Noview

Prevents [=TITLE] from launching the
INF file viewer after successful compilation.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_RCH

*HTEXT* command: parameter /Rch

Generates a resource header file, so that panels of
INF or HLP files can be linked to externally. This
file with the extension *.rch* includes a line like

.fo off
  ##define <anchorname>    <resid>
.fo on

for each panel, for which both a resource id and an anchorname is specified
with the [.CMD_RESID] and [.CMD_ANCHOR] command.
Specify a [.FN_PARM_RCHSTEM prefix] to prepend it to all symbol names
within the header file.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_RCHSTEM

*HTEXT* command: parameter /Rch:#prefix#

Generates a resource header file just like the
plain [.FN_PARM_RCH /RCH] parameter, but will
use the specified prefix for the symbols within
that file.

If you specify e.g.

.fo off
  /RCH:PANEL__
.fo on

the definition line looks like

.fo off
  ##define PANEL__<anchorname>    <resid>
.fo on

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_GENHLP

*HTEXT* command: parameter /Hlp

Creates a help file with the HLP
extension with the following restrictions:
.ul compact
- Viewports are disabled, so that all windows cover 100% of the INF
  viewer area. To enable them for a HLP file, specify  /Hlp /Subpages
- Autolinks are disabled.


.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_SUBPAGES

*HTEXT* command: parameter /Subpages

Specify this parameter if you want to create a HLP file
with viewports etc. like for an INF file.

Usually you should better create both INF and HLP files
for your application. This parameter was added to combine
both in a HLP file. That makes sence when the help files
for your application are in an unfinished state, what
(unfortunately) can be found for many projects.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_SOURCEMASK

*HTCMP* command: parameter #source__mask#

Specifies the source files to be compared with
files of same name in the [.FN_PARM_TARGETPATH target directory].

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_TARGETPATH

*HTCMP* command: parameter #target__path#

Specifies the directory, where the files reside
to be compared with the [.FN_PARM_SOURCEMASK source files]
of the same name.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_OUTPUTDIR

*HTCMP* command: parameter #output__path#

Specifies the directory, where *HTCMP* creates
the directory structure containing the difference
files.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_IPF2HTEXT_IPFFILE

*IPF2HTEXT* command: parameter #ipf__file#

Specifies the IPF source file for conversion into an [=TITLE]
file.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_IPF2HTEXT_HTEXTFILE

*IPF2HTEXT* command: parameter #htext__file#

Optionally specifies the name of the [=TITLE] output file.

.. + + + + + + + + + + + + + + + + + + + +
.fn
.an FN_PARM_IPF2HTEXT_APSFILE

*IPF2HTEXT* command: parameter /Aps:#aps__file#

The APS file is required to resolve IPF symbols. It is searched in
the current path, in the path of *ipf2htext.exe* and in the value
of the IPFC environment var. When not specified, the default APS
file "apsymbol.aps" is searched.


