.. ----------------------------------------
.2 Installation
.. ----------------------------------------
.an INSTALL

[=TOPICS]

.su V30 u

.. ----------------------------------------
.3 Install [=BASETITLE]
.. ----------------------------------------
.an INSTALL_HTEXT

For installation, perform the following steps:
.ul
- Copy *htext.cmd*, *htlaunch.exe* and *ipf2htext.cmd* to a directory
  within your *PATH* statement.
- Optionally copy the bitmap files ***.bmp* from the *bmp* subdirectory either
.ul compact
  - to the same directory where you put *htext.cmd* to,
  - into a subdirectory *htext* or *bmp* within the directory where you
    put *htext.cmd* to or
  - to a directory specified in the [.USAGE_ENVVARS environment variables]
    - *INCLUDE*
    - *HTINCLUDE*

[=NOTE]
.ul
- The bitmap files are being used in INF files created by [=TITLE].
  They are included before [.ESC_LINKS links to external resources].
  When the bitmaps cannot be found, the links are included without
  the bitmaps.
- The *HtLaunch* utility allows INF files created by [=TITLE]
  to use the default web browser specified within the OS/2 system
  configuration.
.p
  *HtLaunch* is not required, if NewView is used instead of the
  standard View.
.p
  For more information about *htlaunch.exe*, see the section
  [.USAGE_HTLAUNCH].
- The *Ipf2Htext* utility can be used to compile an existing IPF
  file to an [=TITLE] file.
.p
  For conversion of IPF symbols, the Developer's Toolkit file
  *apssymbol.aps* is required. Alternatively, you can copy it to the
  directory of *ipf2htext.cmd*. But that is not required, when you have
  a Toolkit installed.
.p
  For more information about *ipf2htext.cmd*, see the section
  [.USAGE_IPF2HTEXT].

.. ----------------------------------------
.3 Install the IPF compiler
.. ----------------------------------------
.an INSTALL_IPF

The IPF compiler is part of the *Developer's Toolkit for OS/2*.
You can either install the complete toolkit or transfer only the
IPFC files from a system already having the complete toolkit installed
like described here:
.ul
- Determine the toolkit directory, it is
.ul compact
  - *\toolkit* for the Developer's Toolkit for OS/2 Warp 3 and below,
  - *\toolkit4* for the Developer's Toolkit for OS/2 Warp 4,
  - *\os2tk45* for the Developer's Toolkit for OS/2 Warp 4.5 and above.
- Create a new directory named IPFC on the new system.
- Copy the following files within your toolkit directory to that new directory
  while *not* maintaining the directory structure (for simplicity)
.ul compact
  - ipfc\**
  - bin\ipf**
  - dll\ipf**
  - book\ipf**
- Taken that the directory on the new system is named *c:\ipfc*, either
  - extend the following statements within your CONFIG.SYS or within a batch file,
    where .... stands for existing values:
.fo off
    LIBPATH=*c:\ipfc;*....
    SET PATH=*c:\ipfc;*....
    SET BOOKSHELF=*c:\ipfc;*....
    SET IPFC=*c:\ipfc*
.fo on
    or
  - call a batch file with the following commands to setup the environment for
    the IPF compiler within an OS/2 window or fullscreen:
.fo off
    @ECHO OFF
    SET BEGINLIBPATH=*c:\ipfc;*%BEGINLIBPATH;
    SET PATH=*c:\ipfc*;%PATH%
    SET BOOKSHELF=*c:\ipfc;*%BOOKSHELF%
    SET IPFC=*c:\ipfc*
.fo on

